/ api / cat / special / _get
_get
Syntax

    GB_METHOD ( "_get" , Return Type , MyClass_get , Parameters )

    GB_STATIC_METHOD ( "_get" , Return Type , MyClass_get , Parameters )

The `_get` method is called when the `[]` operator is used on the object or the class to extract data.

The method can be static. Then, the `[]` operator will have to be used on the class, not the object.

The method can take any parameters. These parameters will be those passed between the `[` and the `]` operators.

For example, the instruction `Value = MyObject[X, Y]` will cause a call to `_get` with `X` and `Y` as parameters.

This method must return the data extract from the object or the class.

### See also

Special Methods Methods Implementation